package vclipx;

import maspack.matrix.*;

class VclipDebug
{
	static PolyTree createPoly2()
	 { double s30 = Math.sin(Math.PI/6);
	   double c30 = Math.cos(Math.PI/6);
	   double w = 10/2;
	   double r = 1.0;
	   double h = 1.0;

	   return new PolyTree (
	      null, ConvexPolyhedron.createPrism (
		 new double[] {r*s30,r*c30, w*s30/c30,w, 0,w, 0,r}, h));

	 }
	
	static PolyTree createPoly1()
	 { 
	   double r = 1.0;
	   double tol = 0.15;

	   return new PolyTree (
	      null, PolyTree.createCylinder (null, r-tol, 10, 12));
	 }

	public static void main (String[] args) 
	 { 
	   PolyTree ptree1 = createPoly1();
	   PolyTree ptree2 = createPoly2();

	   RigidTransform3d T = new RigidTransform3d();
	   T.setIdentity();
//	   T.R.setRpy (Math.toRadians(2.0), 0, 0);
	   ptree1.setTransform (T);

	   RigidTransform3d Xr2r1 = new RigidTransform3d (new double[]
	       { 1.8369701987210297E-16, 1.0, 1.2246467991473532E-16, 0.0,
		 1.0, -1.8369701987210297E-16, 0.0, -6.386076441342869,
		 2.2496396739927864E-32, 1.2246467991473532E-16, -1.0, 5.207440419558344,
		 0.0, 0.0, 0.0, 1.0
	       });

	   Xr2r1 = new RigidTransform3d (new double[]
	       { 1.8369701987210297E-16, 1.0, 1.2246467991473532E-16, 0.0,
		 1.0, -1.8369701987210297E-16, 0.0, -6.386076441342869,
		 2.2496396739927864E-32, 1.2246467991473532E-16, -1.0, 5.207440419558344,
		 0.0, 0.0, 0.0, 1.0
	       });
	   DistanceReport rep = new DistanceReport();
	   ClosestFeaturesHT ht = new ClosestFeaturesHT();
	   FeaturePair fpair = new FeaturePair (
//	      ptree1.getPolyhedron().findFeature("v22:v10"),
	      ptree1.getPolyhedron().findFeature("v18:v6"),
	      ptree2.getPolyhedron().findFeature("v1:v0"));
	   ht.put (ptree1, ptree2, fpair);
	   double d = ptree1.vclip (rep, ptree2, Xr2r1, 1.0, ht);
	   System.out.println ("d=" + d);
	   ClosestPointPair pair = rep.getClosestPair();
	   System.out.println (pair.feat1.getName());
	   System.out.println (pair.feat2.getName());
	   System.out.println ("coords: " + ((Vertex)pair.feat1).getCoords());
	   System.out.println (pair.pnt1);
	   System.out.println (pair.nrml);


	 }
}
